Subject: Re: bug#61095: possible misuse of posix_spawn API on non-linux OSes

From: Josselin Poiret <[email-masked]>
Date: Thu, 30 Mar 2023 22:21:28 +0200

Hi Ludo,

Ludovic Courtès <[email-masked]> writes:

> Coming next is an updated patch series addressing this as proposed
> above.  Let me know what y’all think!
>
> I tested the ‘posix_spawn_file_actions_addclosefrom_np’ path by building in:
>
>   guix time-machine --branch=core-updates -- shell -CP -D -f guix.scm

I didn't test, but this LGTM!  Maybe someone on OpenBSD could test this
patchset?

Best,
-- 
Josselin Poiret